<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package blogstart
 */

?>
<article <?php post_class( 'card single-blog pt-0' ); ?> id="post-<?php the_ID(); ?>">
	<div class="row">
		<!-- left -->
		<div class="col-xl-6 col-sm-12">
			<!-- Blog Content-->
			<div class="blgo-content">
				<a href="<?php the_permalink(); ?>"><?php blogstart_post_thumbnail(); ?></a>
				<span class="posted-date"><?php blogstart_time(); ?></span>
			</div>
		</div>
		<!-- right -->
		<?php
		$fullwidthcontent = ( has_post_thumbnail() ? '' : 'col-xl-12 col-sm-12' );
		?>
		<div class="col-xl-6 col-sm-12">
			<?php
			$categories = get_the_terms( $post->ID, 'category' );
			foreach ( $categories as $category ) {
				$catlink = get_category_link( $category->term_id );
				echo '<a href="' . esc_url( $catlink ) . '"><mark class="catagory">' . esc_html( $category->name ) . '</mark></a>';
			}
			?>
			<a class="post-title-link" href="<?php the_permalink(); ?>"><?php the_title( '<h2 class="card-title h1">', '</h2>' ); ?></a>
			<!-- Card Body -->
			<div class="card-body p-0">
				<span class="posted-by"><?php esc_html_e( 'Posted By', 'blogstart' ); ?> <mark class="admin"><?php the_author(); ?></mark></span>
				<p class="card-text"><?php the_excerpt(); ?></p>
				<a href="<?php the_permalink(); ?>" class="read-more double-line"><?php esc_html_e( 'read more', 'blogstart' ); ?></a>
				<!-- Card Footer -->
			</div>
			
		</div>
	</div>
</article>
